Loading...
Searching...
No Matches
jni::NativePeerHelper< Peer, TagType, std::unique_ptr< Peer >(JNIEnv &, Args...) > Struct Template Reference

`#include <native_method.hpp>`

## Public Types

using | UniquePeer = std::unique_ptr<Peer>
using | Initializer = UniquePeer (JNIEnv&, Args...)

## Public Member Functions

auto | MakeInitializer (const Field< TagType, jlong > &field, const char *name, Initializer *initializer) const
auto | MakeFinalizer (const Field< TagType, jlong > &field, const char *name) const

## Member Typedef Documentation

## Initializer

template<class Peer, class TagType, class... Args>

using jni::NativePeerHelper< Peer, TagType, std::unique_ptr< Peer >(JNIEnv &, Args...) >::Initializer = UniquePeer (JNIEnv&, Args...)

## UniquePeer

template<class Peer, class TagType, class... Args>

using jni::NativePeerHelper< Peer, TagType, std::unique_ptr< Peer >(JNIEnv &, Args...) >::UniquePeer = std::unique_ptr<Peer>

## Member Function Documentation

## MakeFinalizer()

template<class Peer, class TagType, class... Args>

auto jni::NativePeerHelper< Peer, TagType, std::unique_ptr< Peer >(JNIEnv &, Args...) >::MakeFinalizer | ( | const Field< TagType, jlong > & | field,
|  | const char * | name ) const

inline

## MakeInitializer()

template<class Peer, class TagType, class... Args>

auto jni::NativePeerHelper< Peer, TagType, std::unique_ptr< Peer >(JNIEnv &, Args...) >::MakeInitializer | ( | const Field< TagType, jlong > & | field,
|  | const char * | name,
|  | Initializer * | initializer ) const

inline

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/native_method.hpp